For the complete documentation index, see llms.txt. This page is also available as Markdown.

Auth

Get auth info

get

Return information about the currently authenticated API key, including expiration.

Authorizations
AuthorizationstringRequired

API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.

Responses
200

Successful Response

application/json
workspace_idstring · uuidRequired
key_idstringRequired
namestring · nullableRequired
expires_atstring · date-timeRequired
expires_in_secondsintegerRequired
get/v1/auth/me
GET /v1/auth/me HTTP/1.1
Host: api.platform.amigo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000",
  "key_id": "text",
  "name": "text",
  "expires_at": "2026-01-01T00:00:00.000Z",
  "expires_in_seconds": 1
}

Last updated

Was this helpful?